## nvidia-graphics-drivers-tesla-440 440.64.00

=== debian/changelog ===
nvidia-graphics-drivers-tesla-440 (440.64.00-1~mx17+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 20 Apr 2020 08:51:32 -0700

nvidia-graphics-drivers-tesla-440 (440.64.00-1) unstable; urgency=medium

  * New upstream Tesla release 440.64.00 (2020-03-10).

  [ Andreas Beckmann ]
  * Fork as new source package, rename everything to include '-tesla-440'.
  * Do not build 'unversioned' packages from this source.
  * Update lintian overrides.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 18 Mar 2020 21:33:14 +0100

nvidia-graphics-drivers (440.64-2) unstable; urgency=medium

  * Prepare infrastructure for packaging Tesla 440 driver releases (available
    for amd64 (including some i386 libs) and ppc64el).
  * nvidia-detect: Add support for Tesla 440 drivers.
  * Drop versioned constraints that are satisfied in stretch.
  * bug-control: Report information about more (virtual) packages.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 18 Mar 2020 21:01:28 +0100

nvidia-graphics-drivers (440.64-1) unstable; urgency=medium

  * New upstream long lived branch release 440.64 (2020-02-28).
    - Added support for the following GPUs: GeForce MX330, GeForce MX350.
    - Fixed a regression that allowed displays to enter DPMS mode even
      when DPMS is disabled in the X server settings.
  * New upstream release 390 series.
   - Fixed driver installation failure on Linux kernel 5.6 release
     candidates, where the NVIDIA kernel module failed to build
     with error "implicit declaration of function
     'ioremap_nocache'".

  [ Andreas Beckmann ]
  * Update nv-readme.ids.
  * Update lintian overrides.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 01 Mar 2020 11:25:24 +0100

nvidia-graphics-drivers (440.59-1) unstable; urgency=medium

  * New upstream long lived branch release 440.59 (2020-02-03).
    - Disabled frame rate limiting for configurations without active
      displays when HardDPMS is enabled.
    - Restricted the maximum number of GPU Screens to one GPU Screen per
      GPU device, to prevent X from crashing when more than one GPU Screen
      is configured for a single GPU device.
    - Fixed a bug that could cause the X server to crash while exiting
      DPMS with HardDPMS enabled.
    - Added support for the following GPUs: Tesla PG500-216, Tesla PG504-216.
    - Added support for audio over DisplayPort Multi-Stream. This support
      requires Linux kernel version 5.5 or newer.
    - Updated the NVIDIA driver to allow NVIDIA High Definition Audio (HDA)
      controllers to respond to display hotplug events while the HDA is
      runtime-suspended.
    - Fixed a bug that caused DXVK titles to endlessly loop during shader
      compilation if no OpSource instruction was present.
  * New upstream release 390 series.
    - Add PRIME Synchronization support for Linux kernel 5.4 and newer.
      (Closes: #948568)

  [ Andreas Beckmann ]
  * Update nv-readme.ids.
  * Update symbols files.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 06 Feb 2020 22:39:27 +0100

nvidia-graphics-drivers (440.44-2) unstable; urgency=medium

  * Merge changes from 435.21-3.
  * Rename "legacy" variables to more generic "variant".
  * Upload to unstable.  (Closes: #950128)

 -- Andreas Beckmann <anbe@debian.org>  Wed, 29 Jan 2020 21:03:10 +0100

nvidia-graphics-drivers (440.44-1) experimental; urgency=medium

  * New upstream long lived branch release 440.44 (2019-12-11).
    - Added support for the following GPU: GeForce GTX 1650 SUPER.
    - Added support for the __GL_SYNC_DISPLAY_DEVICE environment variable for
      Vulkan applications.
    - Fixed a bug that caused applications running directly on a display
      (such as VR HMDs) to tear when a G-SYNC or G-SYNC Compatible monitor
      is plugged in the system.
  * New upstream release 430 series.
    - Fixed a bug in an error handling path that could cause a kernel crash
      while loading nvidia.ko.
  * New upstream release 418 series.
    - Added support for the following GPU: Quadro T2000 with Max-Q Design.
  * New upstream release 390 series.
    - Fixed driver installation failure on Oracle Linux 7.7 systems,
      where the NVIDIA kernel module failed to build with error "unknown
      type name 'vm_fault_t'".

  [ Andreas Beckmann ]
  * Merge changes from 430.64-4.
  * Update nv-readme.ids.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 16 Dec 2019 13:06:12 +0100

nvidia-graphics-drivers (440.36-1) experimental; urgency=medium

  * New upstream long lived branch release 440.36 (2019-11-22).
    - Fixed graphical corruption that can occur when using
      glslang SPIR-V Generator Version <= 2.

  [ Andreas Beckmann ]
  * Update symbols files.
  * libcuda1: Add Provides: libcuda-10.2-1{,-i386}.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 26 Nov 2019 15:27:45 +0100

nvidia-graphics-drivers (440.31-1) experimental; urgency=medium

  * New upstream long lived branch release 440.31 (2019-11-04).
    - Added support for the following GPUs: Tesla V100S-PCIE-32GB,
      GeForce GTX 1660 SUPER.
    - Fixed a regression in the 440.26 driver that could prevent the NVIDIA
      kernel modules from building correctly on systems localized to a
      language other than English.  (Closes: #944556)

  [ Andreas Beckmann ]
  * Merge changes from 430.64-1.
  * Update nv-readme.ids.
  * Refresh patches.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 18 Nov 2019 00:28:08 +0100

nvidia-graphics-drivers (440.26-1) experimental; urgency=medium

  * New upstream beta 440.26 (2019-10-17).
    - Enabled parallel GLSL shader linking by default; i.e., allow
      GL_ARB_parallel_shader_compile to work without first calling
      glMaxShaderCompilerThreadsARB().
    - Added support for HDMI 2.1 variable refresh rate (VRR) G-SYNC Compatible
      monitors on supported GPUs.  For more details, see "Configuring Multiple
      Display Devices on One X Screen" in the README.

