## nvidia-graphics-drivers-tesla-440 440.95.01

=== debian/changelog ===
nvidia-graphics-drivers-tesla-440 (440.95.01-1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Revert to debhelper-compat 12.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 08 Jul 2020 12:27:04 -0700

nvidia-graphics-drivers-tesla-440 (440.95.01-1) unstable; urgency=medium

  * New upstream Tesla release 440.95.01 (2020-06-24).
    * Fixed CVE-2020-5963, CVE-2020-5967.  (Closes: #963766)
      https://nvidia.custhelp.com/app/answers/detail/a_id/5031
    - Added support for the following GPUs: GeForce GTX 1650 Ti,
      GeForce GTX 1650 Ti with Max-Q Design,
      GeForce RTX 2060 with Max-Q Design, Quadro T1000 with Max-Q Design.
    - Added new "Connector-N" display device aliases to the X driver's
      X configuration option parser.  This is useful in conjunction with
      the "ConnectedMonitor" X configuration option, for emulating the
      presence of connected monitors without knowing what specific
      connectors are available.  See the "Display Device Names" appendix
      in the README for details.

  [ Andreas Beckmann ]
  * Update nv-readme.ids.
  * Refresh patches.
  * Update lintian overrides.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 29 Jun 2020 23:14:48 +0200

nvidia-graphics-drivers (440.82-2) unstable; urgency=medium

  * Fix #includes in conftest.sh to fix kernel module build for Linux 5.7,
    thanks to Jiri Palecek.  (Closes: #960735)
  * Switch to debhelper-compat (= 13).

 -- Andreas Beckmann <anbe@debian.org>  Wed, 20 May 2020 17:22:58 +0200

nvidia-graphics-drivers (440.82-1) unstable; urgency=medium

  * New upstream long lived branch release 440.82 (2020-04-07).
    - Added a workaround for Steam Play title DOOM Eternal, which overrides
      application requested memory locations, to ensure performance-critical
      resources be placed in video memory.
    - Allow presenting from queue families which only expose
      VK_QUEUE_COMPUTE_BIT when using XCB in addition to Xlib surfaces.
    - Fixed a bug that caused render-offloaded applications to crash on exit.

  [ Andreas Beckmann ]
  * Update nv-readme.ids.
  * Update lintian overrides.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 11 Apr 2020 14:29:59 +0200

nvidia-graphics-drivers (418.152.00-1) buster; urgency=medium

  * New upstream Tesla release 418.152.00 (2020-06-24).
    * Fixed CVE-2020-5963, CVE-2020-5967.  (Closes: #963766)
      https://nvidia.custhelp.com/app/answers/detail/a_id/5031

  [ Andreas Beckmann ]
  * Use amd64 Tesla releases for buster.
  * Refresh patches.
  * Update lintian overrides.
  * Upload to buster.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 29 Jun 2020 18:01:24 +0200

nvidia-graphics-drivers (418.126.02-1) UNRELEASED; urgency=medium

  * New upstream Tesla release 418.126.02 (2020-02-28).
    - Added support for the following GPU: Quadro T2000 with Max-Q Design.

  [ Andreas Beckmann ]
  * Import drmP.patch from Fedora and port it from 390.xx to 418.xx to fix
    kernel module build for Linux 5.5.  (Closes: #951091)
  * Backport nv_ioremap_nocache changes from 440.64 and nv_proc_ops_t and
    nv_timeval changes from 440.82 to fix kernel module build for Linux 5.6.
    (Closes: #956458)
  * Fix #includes in conftest.sh to fix kernel module build for Linux 5.7,
    thanks to Jiri Palecek.  (Closes: #960735)

 -- Andreas Beckmann <anbe@debian.org>  Sat, 14 Mar 2020 23:08:06 +0100

nvidia-graphics-drivers (418.116.00-1) UNRELEASED; urgency=medium

  * New upstream Tesla release 418.116.00 (2019-12-09).

 -- Andreas Beckmann <anbe@debian.org>  Sat, 14 Dec 2019 14:29:50 +0100

nvidia-graphics-drivers (418.113-1) buster; urgency=medium

  * New upstream long lived branch release 418.113 (2019-11-05).
    - Updated the Module.symvers sanity check, which is part of the NVIDIA
      kernel module build process, to accommodate the recent addition of a
      new field in the Module.symvers file format. This fixes the error
      "The Module.symvers file is missing [...]" seen during driver
      installation or DKMS rebuilds with Linux 5.4 RC kernels.
    - Fixed a bug that prevented NVIDIA GPUs from entering the low-power
      D3 state when entering suspend-to-idle (s2idle). Note that on some
      systems this may expose an existing timing issue in the Linux kernel;
      see the "Known Issues and Workarounds" section of the "Configuring
      Power Management Support" chapter of the README for more details.

  [ Andreas Beckmann ]
  * Update nv-readme.ids.
  * Refresh patches.
  * debian/gen-control.pl: Support substitutions in the Architecture field and
    skip packages with empty or commented Architecture field (430.50-2).
  * Prepare infrastructure for packaging Tesla 418 driver releases (available
    for amd64 (including some i386 libs) and ppc64el) (430.50-2).
  * Create and commit tarball symlinks for legacy branches (430.64-1).
  * nvidia-detect: Add PCI ID list for 418.74 in buster (430.64-2).
  * nvidia-detect: Add support for Tesla 418 drivers (430.64-2).
  * nvidia-detect: The 340xx legacy driver will not be in bullseye (430.64-5).
  * Allow alternative libnvidia-{tesla,legacy-*}-ml1 packages to substitute
    libnvidia-ml1 (430.64-2).
    - Add Provides: libnvidia-ml.so.1 (= ${nvidia:Version}).
    - Generate alternative versioned dependency on libnvidia-ml.so.1 through
      the symbols file.
  * Allow alternative libnvidia-{tesla,legacy-*}-cuda1 packages to substitute
    libcuda1 in third-party packages (430.64-3).
    - Add Provides: libcuda.so.1 (= ${nvidia:Version}).
    - Generate alternative versioned dependency on libcuda.so.1 through the
      symbols file.
  * Use substitution to keep Standards-Version in sync (430.64-5).
  * Insert '-' between suffix ending with digit and SOVERSION (435.21-3).
  * Rename "legacy" variables to more generic "variant" (440.44-2).
  * bug-control: Report information about more (virtual) packages (440.64-2).
  * Prepare infrastructure for packaging Tesla 440 driver releases (available

