=== debian/control ===
--- 
+++ 
@@ -3,8 +3,7 @@
 Source: nvidia-graphics-drivers-tesla-440
 Section: non-free/libs
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-Xsbc-Original-Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
+Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
 Uploaders:
  Andreas Beckmann <anbe@debian.org>,
  Vincent Cheng <vcheng@debian.org>,
@@ -341,3 +340,6 @@
  libgl1-nvidia-glx-any,
 Description: NVIDIA binary OpenGL/GLX library (GLVND variant)${nvidia:VariantDesc}
  The NVIDIA binary driver provides optimized hardware acceleration of
+ OpenGL/GLX/EGL/GLES applications via a direct-rendering X Server
+ for graphics cards using NVIDIA chip sets.
+ .
